package bank.client;

import java.rmi.registry.LocateRegistry;
import java.rmi.registry.Registry;

import bank.common.Bank;
import bank.common.Customer;

public class BankClient_Equals {

	public static void main(String[] args) {
		try {
			Registry reg = LocateRegistry.getRegistry("localhost", Bank.PORT);
			Bank bank = (Bank) reg.lookup("Bank");

			Customer berger = bank.createCustomer("Berger");
			
			Customer cust1 = bank.getCustomer("Berger"); 
			Customer cust2 = bank.getCustomer("Berger"); 
			
			if (cust1 == cust2) {
				System.out.println("Bergers are ==!");
			} else {
				System.out.println("Bergers are NOT ==!");
			}

			if (cust1.equals(cust2)) {
				System.out.println("Bergers are equals!");
			} else {
				System.out.println("Bergers are NOT equals!");
			}
			
			String name1 = berger.getName(); 
			String name2 = berger.getName(); 
			if (name1 == name2) {
				System.out.println("Berger names are ==!");
			} else {
				System.out.println("Berger names are NOT ==!");
			}

			if (name1.equals(name2)) {
				System.out.println("Berger names are equals!");
			} else {
				System.out.println("Berger names are NOT equals!");
			}

		} catch (Exception e) {
			System.out.println("Trouble: " + e);
		}
	}
}
