package bank.common;

import java.rmi.Remote;
import java.rmi.RemoteException;

public interface Account extends Remote {

	public int getId() throws RemoteException;

	public Customer getCustomer() throws RemoteException;

	public long getBalance() throws RemoteException;

	public long withdraw(long amount) throws RemoteException;

	public void deposit(long diff) throws RemoteException;

	public void addRemoteAccountListener(RemoteAccountListener l) throws RemoteException;

	public void removeRemoteAccountListener(RemoteAccountListener l) throws RemoteException;

}
