package bank.common;

import java.util.EventObject;

@SuppressWarnings("serial")
public class RemoteAccountEvent extends EventObject {
	
	private final int accountId; 
	private final long balance; 

	public RemoteAccountEvent(Object source, int accountId, long balance) {
		super(source);
		this.accountId = accountId; 
		this.balance = balance; 
	}

	public int getAccountId() {
		return accountId;
	}

	public long getBalance() {
		return balance;
	}

}
